#!/bin/bash
#
#    Copyright (C) 2011  rotobator@gmail.com
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Please configure: user & group
openldap_user=openldap
openldap_group=openldap

# Please configure: base DN
dc1="guifi"
dc2="net"

# Please configure: admin DN
cn_admin="admin"
dn_admin="cn=$cn_admin,dc=$dc1,dc=$dc2"
pw_admin="{SSHA}QEUjKjLbHrl5SRoJKXNPD2Uf2UIq3Tt7"

# Do not touch if you don't know what's this for
dn="dc=$dc1,dc=$dc2"
o=$dc2
domain="$dc1.$dc2"

function echo_root(){
echo "dn: $dn
dc: $dc1
o: $dc2
AssociatedDomain: $domain
objectclass: organization
objectclass: domainRelatedObject
objectclass: dcObject
objectclass: top
"
}


function echo_admin(){
echo "dn: $dn_admin
cn: $cn_admin
sn: $cn_admin
dc: $dc1
userPassword: $pw_admin
objectClass: top
objectclass: person
objectclass: dcObject
"
}

function echo_user(){
#u_dn=`echo cn=$1,$dn|iconv -t \"UTF-8\"|base64 -`
#cn:: $u_cn
#u_cn=`echo $1|sed -e 's/\ /\\\ /g' -e 's/\./\\. /g'|base64 -` ### amb els ::!!
#u_dn=`echo "cn=$1,$dn"|sed -e 's/\ /\\\ /g' -e 's/\./\\. /g'|base64 -` ### amb els ::!!
#userPassword: {SSHA}DPDKjrfXUnSg7p7o9j4+9GlXX702vfEg
#userPassword: {$m}$u_pass
m="MD5"
[ "$4" = "wordpress" ] && m="CRYPT"
u_cn=$1
u_dn="uid=$1,$dn"
u_pass="`echo -ne \"$3\"|base64 -`"
echo "dn: $u_dn
cn: $u_cn
sn: $u_cn
mail: $2
uid: $u_cn
userPassword: {SMD5}BPOHLzuQu04hFKHUmObSD42XANV9mI0=
dc: $dc1
objectclass: person
objectclass: PilotPerson
objectclass: dcObject
"
}

