#!/bin/bash
#
#    Copyright (C) 2011  rotobator@gmail.com
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

[ -e ldap_import_functions.sh ] || exit 1
[ "x$1" = "x" ] && echo "Uso: $0 <drupal6|wordpress>" && exit 2
[ -x ./export_$1_users.sh ] || exit 3

. ./ldap_import_functions.sh

echo_root
#echo_admin
export IFS="|" 
./export_$1_users.sh|grep -v ^#| while read u m p
do
      echo_user "$u" "$p" "$m" "$1"
done
